> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookmyapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get post insights

> Read lifetime metrics for one post.

Reads lifetime metrics for a post. No `period`.

## Authentication

Use the `hmat_` channel token from `GET /meta/channels/{id}/token` or `hookmyapp channels token <channel>`. Do not use an `hmok_` API key for this call.

```bash theme={null}
Authorization: Bearer hmat_...
```

## Path parameters

<ParamField path="postId" type="string" required>
  The post id, `{pageId}_{postId}`.
</ParamField>

## Query parameters

<ParamField query="metric" type="string" required>
  Comma-separated metric names, for example `post_clicks,post_reactions_by_type_total,post_activity_by_action_type`.
</ParamField>

## Example

```bash theme={null}
curl "https://gateway.hookmyapp.com/meta/v25.0/{POST_ID}/insights?metric=post_clicks,post_reactions_by_type_total" \
  -H "Authorization: Bearer hmat_..."
```

## Successful response

```json theme={null}
{
  "data": [
    { "name": "post_clicks", "period": "lifetime", "values": [ { "value": 12 } ] },
    { "name": "post_reactions_by_type_total", "period": "lifetime", "values": [ { "value": { "like": 3 } } ] }
  ]
}
```
